#4 doesn't work on amd64

closed
nobody
None
5
2006-02-09
2005-06-03
No

after compile(with patch :) it runs, but can't login
into server.
with the same config version, compiled for
athlon(32-bit) works ok.
in logs i have only:
[undefine@uc64 undefine]$ kiax
pi? cze 3 21:45:31 2005 Using IAXClient ver.
CVS-2005/06/03-19:38
pi? cze 3 21:45:31 2005 IaxWrapper::iaxc_initialize()
result = 0
pi? cze 3 21:45:31 2005 IaxWrapper::start_iax_client()
starting processing thread..
pi? cze 3 21:45:31 2005
IaxWrapper::iaxc_start_processing_thread() result = 0
pi? cze 3 21:45:31 2005
IaxWrapper::registerMultipleAccounts() registering
accounts..
pi? cze 3 21:45:31 2005
IaxWrapper::registerMultipleAccounts() register
undefine [undefine:xxx@centrala.tlenofon.pl]
pi? cze 3 21:45:33 2005 IaxWrapper::event_text()
Message: Type=1 Message=Registration rejected

athlon version:
[undefine@uc64 undefine]$ kiax
pi? cze 3 19:46:02 2005 Using IAXClient ver.
CVS-2005/04/28-22:50
pi? cze 3 19:46:02 2005 IaxWrapper::iaxc_initialize()
result = 0
pi? cze 3 19:46:02 2005 IaxWrapper::start_iax_client()
starting processing thread..
pi? cze 3 19:46:02 2005
IaxWrapper::iaxc_start_processing_thread() result = 0
pi? cze 3 19:46:02 2005
IaxWrapper::registerMultipleAccounts() registering
accounts..
pi? cze 3 19:46:02 2005
IaxWrapper::registerMultipleAccounts() register
undefine [undefine:xxx@centrala.tlenofon.pl]
pi? cze 3 19:46:03 2005 IaxWrapper::event_text()
Message: Type=1 Message=Registration accepted

Discussion

  • Emo

    Emo - 2005-06-05

    Logged In: YES
    user_id=1223718

    yes.. this was a problem of libiax2 discussed in the
    iaxclient library.. kiax includes an old CVS version of
    iaxclient. please try to download the latest iaxclient CVS
    and overwrite it in kiax lib dir. It should work.. This will
    be fixed in the next version of Kiax

     
  • axelmasok

    axelmasok - 2005-09-14

    Logged In: YES
    user_id=1054259

    Confirmed. I have no joy running this on amd64 either but
    can on x86.
    Have patched the 0.8.4 sources and used the libs from the
    CVS version of the iaxclient and it all compiled well. When
    running the app it indefinately is "Registering..."

    [code]
    Wed Sep 14 18:02:51 2005
    IaxWrapper::registerMultipleAccounts() register fwd
    [460183:xxx@iax2.fwdnet.net]
    Wed Sep 14 18:02:52 2005 IaxWrapper::event_unknown() Uknown
    message: Type=7
    [/code]

    Anyone verify that this works at all on amd64?
    Axel

     
  • Emo

    Emo - 2006-02-09
    • status: open --> closed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks